Un nuevo repositorio de la comunidad, “KDE:Current”, para actualizar a KDE 4.12, y en su día a KDE 4.13, en openSUSE 13.1.

Wallpaper para openSUSE.
La comunidad ha creado un nuevo repositorio para la actualización de la versión de KDE disponible en los repositorios oficiales (KDE 4.11) que denominan “KDE:Current” (ver Versión actual de KDE SC en opensuse.org) y que sustituye a los antiguos. Con estos nuevos repositorios – a fecha de hoy- se actualiza a KDE Aplications 4.12 y cuando la versión 4.13 alcance su fase estable (ya mismo), actualizará a esta sin tener que añadir nuevos repositorios. Igual que ocurrirá en noviembre de este mismo año cuando se libere la KDE Applications 4.14.

Si con anterioridad ya habías actualizado KDE 4.11 (repositorios oficiales) a KDE 4.12 con los repositorios de la comunidad, habrás notado que al intentar actualizar el sistema se lanza un mensaje de error en relación a los repositorios de la comunidad para actualizar KDE. Bien pues simplemente hay que cambiarlos. Y si aún no has actualizado KDE y quieres hacerlo tienes que añadir a las fuentes de software estos nuevos repositorios. No obstante, creo importante decir que no es necesario actualizar KDE 4.11, más si no estamos dispuestos a “sobresaltos”; debes saber que openSUSE sólo garantiza la estabilidad del sistema con los repositorios oficiales.

En cualquier caso este es el procedimiento:

1. Hacemos una imagen de seguridad con Clonezilla, por ejemplo. Esto es opcional, es una recomendación personal por si no quedamos satisfechos con la actualización.

2. Actualizamos nuestro sistema como superusuario, ya sabes:

$ su (y contraseña)
$ zypper ref
$ zypper up

3. Desactivamos o eliminamos cualquier repositorio anterior de KDE, como KDE:Extra, KDE412, etc., utilizando “Repositorios de software de YaST, desmarcando “Activar” o mejor aún picando en “Eliminar”.

4. Añadir los repositorios KDE:current a las fuentes de software.Tenemos dos opciones:

a) Añadir los repositorios “KDE:current” mediante YaST

En “Repositorios de sortware” picamos en “Añadir” y “Especificar URL ...” y aquí:

Nombre de repositorio: KDE_current

URL: http://download.opensuse.org/repositories/KDE:/Current/openSUSE_13.1/ KDE_current

Nombre de repositorio: KDE_Extra_current

URL: http://download.opensuse.org/repositories/KDE:/Extra/KDE_Current_openSUSE_13.1/ KDE_Extra_current

b) Añadir los repositorios “KDE: current” mediante consola

Abrimos consola y como superusuario:

$ zypper ar -f http://download.opensuse.org/repositories/KDE:/Current/openSUSE_13.1/ KDE_current

$ zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Current_openSUSE_13.1/ KDE_Extra_current

Con independencia de como hayamos añadido los repositorios actualizamos KDE en consola como superusuario:

$ zypper dup --from KDE_current

$ zypper dup --from KDE_Extra_current

El único conflicto que se me ha planteado y con el segundo repositorio es el siguiente:

Problema: k3b-codecs-2.0.80.git20131118-2.4.x86_64 requiere k3b = 2.0.80.git20131118-2.4, pero este requisito no puede cumplirse
proveedores eliminados: k3b-2.0.80.git20131118-2.4.x86_64
Solución 1: desinstalación de k3b-codecs-2.0.80.git20131118-2.4.x86_64
Solución 2: mantener el antiguo k3b-2.0.80.git20131118-2.4.x86_64
Solución 3: romper k3b-codecs-2.0.80.git20131118-2.4.x86_64 ignorando algunas de sus dependencias”

He seleccionado la “Solución 2”. Realmente este es el conflicto que usualmente se me ha planteado con anterioridad y está relacionado con el hecho de que k3b-codecs está disponible en Packman y en algunos momentos existen conflictos de dependencias con la versión de k3b procedente de los repositorio de la comunidad. Los suyo para evitar problemas es que ambos paquetes, k3b y k3b-codecs, sean los que procedan de Packman.

Reiniciamos el sistema.

5. ¿Actualizamos o no actualizamos Packman?

Los paquetes comunes que teníamos instalados desde Packman habrán cambiado de proveedor (a estos nuevos repositorios) y podríamos cambiarlos nuevamente. En principio, yo por el momento voy a dejar los de KDE:current, puede que sea lo menos problemático; más adelante ya veremos. En cualquier caso, si se quieren cambiar a Packman, ya sabes:

$ zypper dup --from Packman (o el alias que tengas para este repositorio)

Reiniciamos el sistema.

6. Si detectamos errores, sistema inestable, no estamos muy convencidos, pues volvemos al sistema original con la imagen de Clonezilla, que es el método que personalmente prefiero. Otro método es desactivar o eliminar estos repositorios (KDE:current), pero también desactivar todos los repositorio que tengamos en nuestras fuentes de software de la comunidad, y dejar sólo activos los repositorios oficiales (Oss, Non-Oss, Update y Update-Non-Oss) y Packman. Y entonces:

$ su (contraseña)
$ zypper ref
$ zypper dist-upgrade

Pero ya digo prefiero la imagen de seguridad de Clonezilla. Y, por otro lado, insisto, si no tienes ganas de posibles “sobresaltos” no es necesario actualizar KDE 4.11, que es la que está disponible en los repositorios oficiales y son los que garantizan la estabilidad del sistema, además dentro de unos pocos meses ya tendremos openSUSE 13.2 con la última versión estable de KDE. En definitiva si actualizas -y yo lo he hecho- toma precauciones; openSUSE es un gran SO y no hay porque tomar posibles disgustos si no se está dispuesto a ello. Aunque, también, no dejes de actualizar simplemente por temor.

Saludos flamencos,
 

Comentarios

  1. Instalado sin problemas y (por ahora) funcionando correctamente.
    ¡Muchas gracias por el aviso!
    Un abrazo por bulerías.

    ResponderEliminar
  2. Liberada la 4.13 (kde4-filesystem -> 4.13-5.1) !!!

    Saludos.

    ResponderEliminar
    Respuestas
    1. Gracias por la información, la estaba esperando de un momento a otro.
      Saludos flamencos,

      Eliminar

Publicar un comentario